
Pre-Development - Bug #19988

User Role - Create and Modify services error

05 March 2024 03:34 PM - Zaid Haritsah

Status: Resolved Start date: 05 March 2024

Priority: Normal Due date:  

Assignee: Amirul Umar Pandai % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

"JSON parse error: Invalid UTF-8 start byte 0xa0; nested exception is

"path": "/api/userRoleWs/createAction",

History

#1 - 07 March 2024 10:54 AM - Farid Nazmi

the error cause because of unsual character in the request body, already fix syntax in the request body :

req body :

{

"userRoleEntity": {

"systemCode": "MLEB_IAM",

"userRoleName": "Pegawai",

"userRoleDesc": "Memantau",

"status": "A"

},

"userRoleBean": {

"orgId": 1

}

}

also adding orgId column for insert and update action

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/5200fedb12667df0c77545ac8e5ee5714ed06515

#2 - 07 March 2024 10:55 AM - Farid Nazmi

- Status changed from New to Resolved

- Assignee changed from Farid Nazmi to Amirul Umar Pandai

- % Done changed from 0 to 100
